Page MenuHomePhabricator

Set List-Unsubscribe header for email notifications (and maybe List-Help, List-Subscribe etc.)
Closed, ResolvedPublic

Description

Apparently, List-Unsubscribe and friends are not something that just mailman and few other geeks use :) :
http://www.ietf.org/rfc/rfc2369.txt
http://www.list-unsubscribe.com/
https://support.google.com/mail/answer/81126

It can't surely be expected to magically fix bug 52915, but it can't harm.
Actually, this would be nice to have also in core enotifs.


Version: master
Severity: normal

Details

Reference
bz56315

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:17 AM
bzimport added a project: Notifications.
bzimport set Reference to bz56315.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Oct 29 2013, 2:25 PM

In a sea of confusion about email relay, this seems the lowest hanging fruit (see dependencies of bug 52915); raising priority.

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/390, but people from the community are welcome to contribute here and in Gerrit.

Change 213185 had a related patch set uploaded (by Legoktm):
Add List-Unsubscribe header to emails

https://gerrit.wikimedia.org/r/213185

Change 213185 merged by jenkins-bot:
Add List-Unsubscribe header to emails

https://gerrit.wikimedia.org/r/213185

Ideas for a List-Help target? Maybe https://www.mediawiki.org/wiki/Help:Watchlist and add a line for enotifwatchlist?

If UserMailer headers like b2a043f1ef63e770dff3d4f4204561e06b702dbc are also used by Echo's custom emails, maybe something more generic is needed.

Legoktm added a subscriber: Legoktm.Jul 6 2015, 9:05 AM

If UserMailer headers like b2a043f1ef63e770dff3d4f4204561e06b702dbc are also used by Echo's custom emails, maybe something more generic is needed.

They are, but we could probably figure out a way to let different types of emails set different headers.

Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 9:05 AM

They are, but we could probably figure out a way to let different types of emails set different headers.

Then let's link https://www.mediawiki.org/wiki/Help:Watchlist and think of overrides later. (I can fix the help page content when a patch approaches merge.)

Change 223369 had a related patch set uploaded (by Legoktm):
Set 'List-Help' header for watchlist emails

https://gerrit.wikimedia.org/r/223369

Then let's link https://www.mediawiki.org/wiki/Help:Watchlist and think of overrides later. (I can fix the help page content when a patch approaches merge.)

I think the patch is approaching being merged :)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 5:16 AM

Change 223369 merged by jenkins-bot:
Set 'List-Help' header for watchlist emails

https://gerrit.wikimedia.org/r/223369

Nemo_bis closed this task as Resolved.Aug 23 2015, 7:54 AM
Nemo_bis assigned this task to Legoktm.
Nemo_bis set Security to None.